#
# spec file for package php5-imagick
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-imagick
Version:        3.4.1
Release:        lp155.3.1
Summary:        Wrapper to the ImageMagick/GraphicsMagick library
Group:          Productivity/Networking/Web/Servers
License:        PHP-3.01
Url:            http://pecl.php.net/package/imagick
Source0:        http://pecl.php.net/get/imagick-%{version}.tgz
Source1:        imagick.ini
BuildRequires:  ImageMagick6-devel >= 6.5.3.10
BuildRequires:  php5-devel >= 5.3.0
BuildRequires:  ImageMagick6-config-6-SUSE
BuildRequires:  pkgconfig
Provides:       php-imagick = %{version}
Provides:       php-imagick(vhng) = %{php_vhng_branch}
Obsoletes:      php-imagick < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{?php_zend_api}0
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
%else
%requires_eq    php5
%endif

%description
Provides a wrapper to the ImageMagick/GraphicsMagick library.

%prep
%setup -q -n imagick-%{version}
mkdir %{name}

%build
%{_bindir}/phpize
pushd %{name}
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
export CFLAGS
export CXXFLAGS
../configure --with-imagick=%{_usr} --with-libdir=%{_lib}
make %{?_smp_mflags}
popd

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} -C %{name} INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/php5/conf.d
install --mode=0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php5/conf.d/imagick.ini
rm %{buildroot}%{_includedir}/php5/ext/imagick/*.h

%files
%defattr(0644,root,root,-)
%{_libdir}/php5/extensions/imagick.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/imagick.ini
%dir %{_includedir}/php5/ext/imagick
%doc CREDITS LICENSE

%changelog
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- vhng versioning
